include $(G4INSTALL)/config/architecture.gmk

# BeginOf: Analysis Variables
# --------------------------------------------------------------
# --------------------------------------------------------------
#G4VERSION
ifdef G4VERSION7
  CPPFLAGS += -DG4VERSION7
endif

ifdef G4VERSION8
  CPPFLAGS += -DG4VERSION8
endif

ifdef G4VERSION9
  CPPFLAGS += -DG4VERSION9
endif
#----------------------------

ifdef G4ANALYSIS_USE
  CPPFLAGS += -DG4ANALYSIS_USE
endif

ifdef G4ANALYSIS_USE_NTUPLE
  CPPFLAGS += -DG4ANALYSIS_USE_NTUPLE
endif

ifdef G4ANALYSIS_USE_FILE
  CPPFLAGS += -DG4ANALYSIS_USE_FILE
endif

ifdef G4ANALYSIS_USE_ROOT
CPPFLAGS += -DG4ANALYSIS_USE_ROOT -D_REENTRANT -I$(ROOTSYS)/include/root
ifdef G4ANALYSIS_USE_ROOT_PLOTTER
CPPFLAGS += -DG4ANALYSIS_USE_ROOT_PLOTTER
endif
EXTRALIBS += -L$(ROOTSYS)/lib/root \
-lCore -lCint \
-lHist -lGraf -lGraf3d -lGpad \
-lTree -lRint -lPostscript \
-lMatrix -lPhysics \
-lm -ldl -lpthread -rdynamic\
 -lRIO -lNet -lThread -lMathCore

endif
# EnfOf : Analysis Variables
# --------------------------------------------------------------


#  XML, needed for optical transport
# ----------------------------------
ifdef GATE_USE_OPTICAL
CPPFLAGS  += -DGATE_USE_OPTICAL `xml2-config --cflags`
EXTRALIBS += `xml2-config --libs`
endif


# LMF
# ------------------------------------------------
ifdef GATE_USE_LMF
CPPFLAGS += -DGATE_USE_LMF -I$(LMF_HOME)/includes
EXTRALIBS += -L$(LMF_HOME)/lib -lLMF
LDFLAGS += -L$(LMF_HOME)/lib -lLMF
ifdef LMF_STORE_DETECTOR_COMPTON
CPPFLAGS += -DLMF_STORE_DETECTOR_COMPTON
endif
endif


# ECAT7, CPS innovations/Siemens data format for PET
# --------------------------------------------------
ifdef GATE_USE_ECAT7
CPPFLAGS += -DGATE_USE_ECAT7 -I$(ECAT7_HOME)/include
EXTRALIBS += -L$(ECAT7_HOME)/lib/$(G4SYSTEM) -lecat
endif 


# Deprecated or antiquated header           
# and No overload warning               
# These options are only usefull with GNU compiler
# --------------------------------------------------
ifeq ($(CXX),g++)
 CXXFLAGS += -Wno-deprecated -Wno-overloaded-virtual  
endif

# --------------------------------------------------------------
LDFLAGS += -L/usr/X11R6/lib -lXt 
ifdef G4VIS_USE_OPENGLXM
LDFLAGS += -lXm
endif

CXXFLAGS := $(filter-out -ansi , $(CXXFLAGS))
CXXFLAGS := $(filter-out -pedantic , $(CXXFLAGS))

CXXFLAGS_WITHOUT_O := $(filter-out -O% , $(CXXFLAGS))
CXXFLAGS_WITHOUT_O := $(filter-out +O% , $(CXXFLAGS_WITHOUT_O))

CPPFLAGS := $(filter-out -I/usr/include , $(CPPFLAGS))

# --------------------------------------------------------------
LDFLAGS := -L/usr/X11R6/lib64 $(LDFLAGS)

# --------------------------------------------------------------
ifdef release
	G4_NO_VERBOSE=1
	CPPFLAGS += -O3 
	SUBDIRFLAGS="release=1"
endif

ifdef debug
	G4VERBOSE=1
	CPPFLAGS += -g 
	CPPFLAGS += -DCOMPILE_THIS_DEBUG_MESSAGES -DG4VERBOSE -DG4GEOMETRY_VOXELDEBUG
	SUBDIRFLAGS="debug=1"
endif
# --------------------------------------------------------------


